<?php

$con=mysql_connect("localhost","root","opsivir")
 or die("Error: ".mysql_error());
$name = 'prueba';
$db = mysql_select_db($name,$con)
 or die("Error: ".mysql_error());

$user = mysql_escape_string($_GET["usuario"]); 
$sexo = mysql_escape_string($_GET["sexo"]); 
$edad = mysql_escape_string($_GET["edad"]);  
$fumador = mysql_escape_string($_GET["fumador"]); 
$trabaja = mysql_escape_string($_GET["trabaja"]);

$ext = array("jpg", "png", "jpeg", "gif");  
//Si se selecciona el maximo de edad, se recogeran a todos los usuarios del sistema sin tener en cuenta su edad
if($edad==="60"){
	$sql = "SELECT *FROM  datos_mochila WHERE (nickname != '$user') AND (sexo = '$sexo') AND (fumador = '$fumador') AND (Trabaja = '$trabaja')";
}else{
	$sql = "SELECT *FROM  datos_mochila WHERE (nickname != '$user') AND (edad <= '$edad') AND (sexo = '$sexo') AND (fumador = '$fumador') AND (Trabaja = '$trabaja')";
}

$result = mysql_query($sql) or die("Error: ".mysql_error());

//Recorreremos los usuarios de la consulta
while($row = mysql_fetch_array($result))
  {
  	$files = array();
	$nickname = $row['nickname'];
	$edad2 = $row['edad'];
	$sexo2= $row['sexo'];
	$fumador2= $row['fumador'];
	$trabaja2= $row['Trabaja'];

	if($handle = opendir("C:/xampp/htdocs/tfg/uploads/".$nickname)) {
       while(false !== ($file = readdir($handle)))
           for($i=0;$i<sizeof($ext);$i++)
               if(strstr($file, ".".$ext[$i]))
                   $files[] = $file;
       closedir($handle);
  }
  if(count($files)==0){
  	$path = "img/imgpiso.bmp";
  }else{
  	$path = "http://kl0d.no-ip.biz/tfg/uploads/".$nickname."/".$files[0];
  }

//Mostraremos de manera iterativa toda la informacion de los usuarios que responden a los criterios de busqueda introducidos
echo "
		<div class=\"marcos\">
			<table border=\"0\" style=\"width:100%\">
  				<tr>
  					<td><center><img src='$path' WIDTH=60% HEIGHT=20% ><center></td>
					<td>
		  				<table border=\"0\" style=\"width:100%\" class=\"letra\">
							<tr>
			  					<td>Nickname:</td>
								<td>$nickname</td> 
							</tr>
							<tr>
								<td>Age:</td>
								<td>$edad2</td> 
							</tr>
							<tr>
							  	<td>Gender:</td>
								<td>$sexo2</td> 
							</tr>
							<tr>
							  	<td>In a job:</td>
								<td>$trabaja2</td> 
							</tr>
							<tr>
								<td><input type=\"button\" class=\"botonVuelos\" name=\"$nickname\" id=\"$nickname\" value=\"Go in!\" onClick=\"location.href='fichaAmigo.html?user=$nickname'\"></td>		
							</tr>			
						</table>
					</td>
				</tr>
			</table>
		</div>
		<br></br>";
  }

mysql_close($con);
?>